/*
 Theme Path
========================================================================== */
/*
 Font Family
========================================================================== */
/*
 Font Size
========================================================================== */
/*
 Colors
========================================================================== */
/*
 Button Styles
========================================================================== */
/*
 Helpers
========================================================================== */
/*
 Sizes
========================================================================== */
/*
 Columns
========================================================================== */
/*
 MapBox
========================================================================== */
section.block-mapbox.alignfull {
  padding-left: 0;
  padding-right: 0;
}
section.block-mapbox.alignfull:first-child {
  margin-top: -100px;
}
section.block-mapbox.alignfull:last-child {
  margin-bottom: -100px;
}
section.block-mapbox.alignfull .map {
  border-radius: 0;
}
section.block-mapbox .container {
  max-width: 100%;
  display: flex;
  flex-direction: column;
  gap: 20px;
}
@media screen and (min-width: 992px) {
  section.block-mapbox .container {
    flex-direction: row;
    max-height: 768px;
  }
}
section.block-mapbox .map {
  position: relative;
  border-radius: var(--wp--custom--border--radius);
  width: 100%;
  aspect-ratio: 4/3;
}
@media screen and (min-width: 768px) {
  section.block-mapbox .map {
    aspect-ratio: 4/2.5;
  }
}
@media screen and (min-width: 992px) {
  section.block-mapbox .map {
    aspect-ratio: unset;
  }
}
section.block-mapbox .map .marker {
  border: none;
  cursor: pointer;
  height: 24px;
  width: 24px;
  background-position: center;
  background-repeat: no-repeat;
  background-image: url(https://i.imgur.com/MK4NUzI.png);
  background-size: auto 24px;
  background-color: rgba(0, 0, 0, 0);
}
section.block-mapbox .mapboxgl-canvas-container canvas {
  position: absolute;
  top: -5px;
  height: calc(100% + 5px) !important;
}
section.block-mapbox .mapboxgl-popup {
  min-width: 230px;
  max-width: 300px !important;
  padding-top: 20px;
  padding-bottom: 20px;
}
section.block-mapbox .mapboxgl-popup .mapboxgl-popup-content {
  padding: 32px;
  font-size: 0.9375rem;
  line-height: 1.6;
  border-radius: var(--wp--custom--border--radius);
  font-family: var(--wp--preset--font-family--secondary);
}
section.block-mapbox .mapboxgl-popup .mapboxgl-popup-close-button {
  color: #ba22ff;
  padding: 0;
  width: 24px;
  height: 24px;
  text-decoration: none;
  border-radius: var(--wp--custom--border--radius-button);
  background: rgba(186, 34, 255, 0.1);
  top: 10px;
  right: 10px;
}
section.block-mapbox .mapboxgl-popup .mapboxgl-popup-close-button:hover {
  background-color: #ba22ff;
  color: var(--wp--custom--color--background);
}
section.block-mapbox .mapboxgl-popup strong {
  display: block;
  margin: 0 0 5px 0;
  padding: 0;
  font-size: 16px;
  color: var(--wp--custom--color--heading);
  font-family: var(--wp--preset--font-family--primary);
}
section.block-mapbox .mapboxgl-popup p {
  margin: 0 !important;
}
section.block-mapbox .mapboxgl-ctrl-group:not(:empty) {
  box-shadow: 0 0 0px 1px rgba(0, 0, 0, 0.1);
  overflow: hidden;
  border-radius: 3px;
}
section.block-mapbox .mapboxgl-ctrl-group:not(:empty) button {
  border-radius: 0px !important;
  outline: none !important;
  box-shadow: none !important;
}
section.block-mapbox .mapboxgl-ctrl-group:not(:empty) button:not(:first-child) {
  border-top: 1px solid rgba(0, 0, 0, 0.1);
}
section.block-mapbox .mapboxgl-ctrl-group:not(:empty) .mapboxgl-ctrl-pitchtoggle-3d {
  background-image: url(data:image/svg+xml;base64,PHN2ZyB4bWxucz0iaHR0cDovL3d3dy53My5vcmcvMjAwMC9zdmciIHdpZHRoPSIzMCIgaGVpZ2h0PSIzMCI+ICAgIDx0ZXh0IHg9IjUwJSIgeT0iNTAlIiBkeT0iLjM1ZW0iIHN0eWxlPSJmb250LXNpemU6IDE0cHg7IGZvbnQtZmFtaWx5OiAnSGVsdmV0aWNhIE5ldWUnLEFyaWFsLEhlbHZldGljYSxzYW5zLXNlcmlmOyBmb250LXdlaWdodDogYm9sZDsgdGV4dC1hbmNob3I6IG1pZGRsZTsiPjNEPC90ZXh0Pjwvc3ZnPg==);
}
section.block-mapbox .mapboxgl-ctrl-group:not(:empty) .mapboxgl-ctrl-pitchtoggle-2d {
  background-image: url(data:image/svg+xml;base64,PHN2ZyB4bWxucz0iaHR0cDovL3d3dy53My5vcmcvMjAwMC9zdmciIHdpZHRoPSIzMCIgaGVpZ2h0PSIzMCI+ICAgIDx0ZXh0IHg9IjUwJSIgeT0iNTAlIiBkeT0iLjM1ZW0iIHN0eWxlPSJmb250LXNpemU6IDE0cHg7IGZvbnQtZmFtaWx5OiAnSGVsdmV0aWNhIE5ldWUnLEFyaWFsLEhlbHZldGljYSxzYW5zLXNlcmlmOyBmb250LXdlaWdodDogYm9sZDsgdGV4dC1hbmNob3I6IG1pZGRsZTsiPjJEPC90ZXh0Pjwvc3ZnPg==);
}
section.block-mapbox .mapboxgl-ctrl-group:not(:empty) .mapboxgl-ctrl-satellite {
  background-image: url(data:image/png;base64,iVBORw0KGgoAAAANSUhEUgAAADAAAAAwCAYAAABXAvmHAAADFUlEQVRoQ+2Z620VMRCFTyogVABUEKiA0AEdQCpIqACoAFIB0AFUAHRAKkhSQaAC0Cd5Il9f2zt+LLBSLK3y43pnz5k587BzoI2vg43j1x2Bfx3BNSLwUNKppGNJjwPBH5K+STqXdDWT9GwC7wP4Gkb2vJpFYiYBvHzkBMbeJ8691W2zCHg8nwJBTmejJGYQQPOXnUAejebEDAI93je+w1GYQaBF+2mghnNhBoHfnfKx14YwDL0cEGyeAI3pQWcUriVRBLrXjAhsPok3X0YJf08UhksoH54hIdMvw9pTp5i/SHru3PtXRgn7iCcSUzw/pQYXXENOMOMwUscL4BD8r8fpGHDaH2bK9fY7vUY5qLyQRB3Hq7nlJUC06COfJDFaNK1WAoB+EzUf5MBEOUKASdaaGfawDxnX8hKgYrwrdM3SSOyJQKmHQOQkHEOHqtBhAP6yYoUPfcz87iGA3Q8V29jl+PmztKcWAcB/jQ7mqQ3C/Dk8IxIiujzIM7fIi2clEiUCNfCUQ3Ra9EpA4YlADLhUftlTJFEikGtIF5IIubdStBIwMlQ4pJNeELwNjtuJUo5ALrG+hzAveT023ksAGyiA0SQlsVcwcgRS7+N5LqlawANihICRINrxWWNvDMkRSIeyUpVZqtOxHSKIE1pXWqX27OQIpJ673+F9gAKYKsaiikCodSGlm+SlHcw5AkjlXvTSyN2Nge7xPhDSfPwV8uMW3poSsijwt8f7vNcloTSJiQhRaE3iVrmk+5EPcxJ/bbmSOFdGq91wFGnm/VwjRT5g23FkqZHRaV8nhiFBRfI2sl5e5AuDo/1vwey4G5m9UDrj0iUxNvVkFbyL03KDY7EMLw1zuW5oBCHCMIfx3vxAKlwEMMyVJt5qI/WcBzwHdYjyEBUe9JpKDUlQntExD1JZKq+LFwAeAngcD0Gk9wqxNR84qnLUJMLV5SVgRggzCb4WEYBjP3dAyhJpJWBGkANkiMwoGUDjaUA3V7heArE30DOE7LHGk97SkewsEh6g9gxVsxkElmS66u93BFZ1r8P45iPwByxsojFFAJ0UAAAAAElFTkSuQmCC);
  background-size: auto 18px;
  background-position: center;
  background-repeat: no-repeat;
}
section.block-mapbox .mapboxgl-ctrl-group:not(:empty) .mapboxgl-ctrl-map {
  background-image: url(data:image/png;base64,iVBORw0KGgoAAAANSUhEUgAAADAAAAAwCAYAAABXAvmHAAACsklEQVRoQ+2Y8dEMQRDF3xcBIkAEiAARIAJEgAgQASJABIgAESACRIAIqF/ZqTpXt9Ovp2d9dVVf/3VVt9PTr7vf69490ZHbyZHHrzMAp13B2RW4Jem2pEuSzku6ugD8LOmnpG+S3kp6Nwv4DAAE+mwJnN+OAQYgjxZgzpmDz1QBPJb0cMn2SBAAeS7p6chhzowCINPvd1pk9P52jha7OVKNEQD0NcG77eKCgx93JAHGtiwAgv66QfAtYEBcy1QiC+DTxLZZyzIVAIRlGQBPJEHa/2GQmvtCcwFkWuf7oiwfdvoZ3txYFOtiGNXfmXHZaSUXwCtJd42L0XVksWfILnMjsteS7kUPuQB+GMSlb10FoSLwqWdU4cIMAKwGbwJHTub3XTiVQFaZ2KvmVCBqH3qe3WfEkM0eJ14svCkBgIzXO9GNZL+5i6rwcSF/CUCk/Zne3w8k4kI4E5wW+h30huOj56Lk37m8dIFBjJJ/BwBydq4TyJYt9CuSbwfA0ZM4klGkkLE/Ymy2PQmeIqOM85enNMjuSyKBJRklQ2QqsgwXIvlsd7FKwMESAA6jx1ciBMvUpOw9e2AsfJznywVrTNccEuPAaaN2EZxgI2WKtuWOjDPNmbzu2hHuQVzoAuDZaG+JkpX5396vMgAyVcgEe+hZK/vZCmS4UAEQLnC7zjMV4ByvhXxS2dIyapbiQAsagqIkW5j9Mt8uz1aAc7zgs144spoBmWqdCgDOIoVIZG/JywTP0obP7tA65HCkAs3PLD4QPL7cDwL/4KgAyA64tYqE+06vlFUAVRCl4EfmwFoyRoZcOfiZALKVmBL8bAAuiGnBbwGgTWu+pu1LbElt1np3BokP+WZ95k2qDbsvy27PRjvVtgLQJnb7Us17QHpIOUi3BODcX37mDEA5hUUHR1+BP8bGfjEsCdpwAAAAAElFTkSuQmCC);
  background-size: auto 18px;
  background-position: center;
  background-repeat: no-repeat;
}
section.block-mapbox .mapboxgl-ctrl-bottom-left,
section.block-mapbox .mapboxgl-ctrl-bottom-right {
  display: none !important;
}
section.block-mapbox .mapboxgl-ctrl-compass span {
  background: none !important;
  display: flex;
  align-items: center;
  justify-content: center;
  color: #222;
}
section.block-mapbox .mapboxgl-ctrl-compass span::before {
  content: "";
  background-color: #333;
  -webkit-mask-image: url("data:image/svg+xml,%3Csvg xmlns='http://www.w3.org/2000/svg' viewBox='0 0 448 512'%3E%3C!--! Font Awesome Pro 6.2.1 by @fontawesome - https://fontawesome.com License - https://fontawesome.com/license (Commercial License) Copyright 2022 Fonticons, Inc. --%3E%3Cpath d='M429.6 92.1c4.9-11.9 2.1-25.6-7-34.7s-22.8-11.9-34.7-7l-352 144c-14.2 5.8-22.2 20.8-19.3 35.8s16.1 25.8 31.4 25.8H224V432c0 15.3 10.8 28.4 25.8 31.4s30-5.1 35.8-19.3l144-352z'/%3E%3C/svg%3E");
  -webkit-mask-position: center;
  -webkit-mask-repeat: no-repeat;
  width: 14px;
  height: 14px;
  transform: rotate(-15deg);
}
section.block-mapbox[data-type=listing].alignfull {
  padding-left: var(--wp--custom--spacing--outer-x);
  padding-right: var(--wp--custom--spacing--outer-x);
}
section.block-mapbox[data-type=listing].alignfull .map {
  border-radius: 4px;
}
section.block-mapbox[data-type=listing] .sidebar {
  background: white;
  border-radius: var(--wp--custom--border--radius);
  border: 1px solid rgba(0, 0, 0, 0.1);
}
@media screen and (min-width: 992px) {
  section.block-mapbox[data-type=listing] .sidebar {
    width: clamp(280px, 107.7777777778px + 0.1736111111 * 100vw, 330px);
    overflow: hidden;
    order: -1;
    flex-shrink: 0;
  }
}
section.block-mapbox[data-type=listing] .sidebar .listings {
  height: 100%;
  overflow-y: scroll;
  -webkit-overflow-scrolling: touch;
  -ms-overflow-style: -ms-autohiding-scrollbar;
}
section.block-mapbox[data-type=listing] .sidebar .listings .item {
  display: block;
  border-bottom: 1px solid #eee;
  padding: 30px;
  text-decoration: none;
}
section.block-mapbox[data-type=listing] .sidebar .listings .item:last-child {
  border-bottom: none;
}
section.block-mapbox[data-type=listing] .sidebar .listings .item .title {
  display: block;
  color: var(--wp--custom--color--heading);
  font-weight: 700;
  text-decoration: none;
  font-size: 1.125rem;
}
section.block-mapbox[data-type=listing] .sidebar .listings .item .title small {
  font-weight: 400;
}
section.block-mapbox[data-type=listing] .sidebar .listings .item .title:hover {
  color: var(--wp--custom--color--links);
}
section.block-mapbox[data-type=listing] .sidebar .listings .item div a {
  color: #666;
}
section.block-mapbox[data-type=listing] .sidebar .listings .item.active {
  background-color: rgba(186, 34, 255, 0.08);
  box-shadow: inset 3px 0 0 0 #ba22ff;
}
section.block-mapbox[data-type=listing] .sidebar .listings .item.active .title,
section.block-mapbox[data-type=listing] .sidebar .listings .item.active .title:hover {
  color: #4160f3;
}
@media screen and (min-width: 992px) {
  section.block-mapbox[data-type=listing][data-align=right] .sidebar {
    order: 3;
  }
}
@media screen and (min-width: 992px) {
  section.block-mapbox[data-type=listing] .map {
    flex-grow: 1;
  }
}
section.block-mapbox .mapboxgl-ctrl-geocoder {
  box-shadow: 0 0 0 1px rgba(0, 0, 0, 0.1);
  width: 320px;
}
section.block-mapbox .mapboxgl-ctrl-geocoder .mapboxgl-ctrl-geocoder--icon-search {
  fill: rgb(249.36875, 204.31875, 170.53125);
  width: 16px;
  height: 16px;
  left: 12px;
  top: calc(50% - 8px);
}
section.block-mapbox .mapboxgl-ctrl-geocoder input {
  padding-left: 42px;
  border: none;
  font-size: 14px;
}
section.block-mapbox .mapboxgl-ctrl-geocoder button {
  width: 18px;
  height: 18px;
  display: flex;
  padding: 0;
  top: calc(50% - 9px);
  align-items: center;
  justify-content: center;
  background: none !important;
}
section.block-mapbox .mapboxgl-ctrl-geocoder button .mapboxgl-ctrl-geocoder--icon-close {
  width: 14px;
  height: 14px;
  fill: #4160f3;
  margin-top: 0;
}
section.block-mapbox [aria-label="Map marker"] {
  top: 11px;
  width: 20px;
  height: 20px;
  pointer-events: none;
}
section.block-mapbox [aria-label="Map marker"]::before {
  content: "";
  animation: pulse 3s infinite ease;
  width: 100px;
  height: 100px;
  position: absolute;
  top: calc(50% - 50px);
  left: calc(50% - 50px);
  background: radial-gradient(ellipse at center, rgba(255, 255, 255, 0) 25%, rgba(57, 86, 209, 0.3) 100%);
  border-radius: 100px;
  border: 1px solid rgba(57, 86, 209, 0.3);
}
section.block-mapbox [aria-label="Map marker"] svg {
  display: none;
}
@keyframes pulse {
  0% {
    transform: scale(0.1);
    opacity: 0;
  }
  50% {
    opacity: 1;
  }
  100% {
    transform: scale(1);
    opacity: 0;
  }
}
